## GOLocaleSel

GOLocaleSel

## Synopsis

    #define             GO_TYPE_LOCALE_SEL
    #define             GO_LOCALE_SEL                       (obj)
    #define             GO_IS_LOCALE_SEL                    (obj)
                        GOLocaleSel;
    GType               go_locale_sel_get_type              (void);
    GtkWidget*          go_locale_sel_new                   (void);
    gchar*              go_locale_sel_get_locale            (GOLocaleSel *cs);
    gboolean            go_locale_sel_set_locale            (GOLocaleSel *cs,
                                                             const char *loc);
    void                go_locale_sel_set_sensitive         (GOLocaleSel *cs,
                                                             gboolean sensitive);
    const char*         go_locale_sel_get_locale_name       (GOLocaleSel *cs,
                                                             const char *loc);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkHBox
                                           +----GOLocaleSel

## Implemented Interfaces

GOLocaleSel implements AtkImplementorIface and GtkBuildable.

## Signals

      "locale-changed"                                 : Run Last

## Description

## Details

### GO_TYPE_LOCALE_SEL

    #define GO_TYPE_LOCALE_SEL        (go_locale_sel_get_type ())

### GO_LOCALE_SEL()

    #define GO_LOCALE_SEL(obj)        (G_TYPE_CHECK_INSTANCE_CAST((obj), GO_TYPE_LOCALE_SEL, GOLocaleSel))

`obj` : |

### GO_IS_LOCALE_SEL()

    #define GO_IS_LOCALE_SEL(obj)     (G_TYPE_CHECK_INSTANCE_TYPE((obj), GO_TYPE_LOCALE_SEL))

`obj` : |

### GOLocaleSel

    typedef struct _GOLocaleSel GOLocaleSel;

### go_locale_sel_get_type ()

    GType               go_locale_sel_get_type              (void);

Returns : |

### go_locale_sel_new ()

    GtkWidget*          go_locale_sel_new                   (void);

Returns : |

### go_locale_sel_get_locale ()

    gchar*              go_locale_sel_get_locale            (GOLocaleSel *cs);

`cs` : |
Returns : |

### go_locale_sel_set_locale ()

    gboolean            go_locale_sel_set_locale            (GOLocaleSel *cs,
                                                             const char *loc);

`cs` : |
`loc` : |
Returns : |

### go_locale_sel_set_sensitive ()

    void                go_locale_sel_set_sensitive         (GOLocaleSel *cs,
                                                             gboolean sensitive);

`cs` : |
`sensitive` : |

### go_locale_sel_get_locale_name ()

    const char*         go_locale_sel_get_locale_name       (GOLocaleSel *cs,
                                                             const char *loc);

`cs` : |
`loc` : |
Returns : |

## Signal Details

### The `"locale-changed"` signal

    void                user_function                      (GOLocaleSel *golocalesel,
                                                            gpointer     arg1,
                                                            gpointer     user_data)        : Run Last

`golocalesel` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.